# Class BioReceiver

java.lang.Object
org.apache.catalina.tribes.transport.ReceiverBase
org.apache.catalina.tribes.transport.bio.BioReceiver

All Implemented Interfaces:
  `Runnable, ChannelReceiver, Heartbeat, ListenCallback, RxTaskPool.TaskCreator`

@Deprecated public class BioReceiver extends ReceiverBase implements Runnable
Deprecated.
This will be removed in Tomcat 10

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ServerSocket`
`serverSocket`
Deprecated.
`protected static final StringManager`
`sm`
Deprecated.

### Fields inherited from class ReceiverBase

`OPTION_DIRECT_BUFFER`

### Fields inherited from interface ChannelReceiver

`MAX_UDP_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`BioReceiver()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bind()`
Deprecated.
`AbstractRxTask`
`createRxTask()`
Deprecated.
`protected BioReplicationTask`
`getReplicationThread()`
Deprecated.
`void`
`listen()`
Deprecated.
`void`
`run()`
Deprecated.
`void`
`start()`
Deprecated.
Start listening for incoming messages on the host/port
`void`
`stop()`
Deprecated.
Stop listening for messages

### Methods inherited from class ReceiverBase

`bind, bindUdp, doListen, getActiveCount, getAddress, getAutoBind, getBind, getChannel, getCompletedTaskCount, getDirect, getExecutor, getHost, getListener, getMaxIdleTime, getMaxTasks, getMaxThreads, getMessageListener, getMinTasks, getMinThreads, getOoBInline, getPoolSize, getPort, getRxBufSize, getSecurePort, getSelectorTimeout, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTaskCount, getTaskPool, getTcpNoDelay, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, getUseBufferPool, getWorkerThreadOptions, heartbeat, isDaemon, isListening, messageDataReceived, setAddress, setAutoBind, setBind, setChannel, setDaemon, setDirect, setExecutor, setHost, setListen, setListener, setMaxIdleTime, setMaxTasks, setMaxThreads, setMessageListener, setMinTasks, setMinThreads, setOoBInline, setPool, setPort, setRxBufSize, setSecurePort, setSelectorTimeout, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setTimeout, setTxBufSize, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, setUseBufferPool`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sm

protected static final StringManager sm
Deprecated.

### serverSocket

protected ServerSocket serverSocket
Deprecated.

## Constructor Details

### BioReceiver

public BioReceiver()
Deprecated.

## Method Details

### start

public void start() throws IOException
Deprecated.
Description copied from interface: `ChannelReceiver`
Start listening for incoming messages on the host/port

Specified by:
  `start` in interface `ChannelReceiver`
Overrides:
  `start` in class `ReceiverBase`
Throws:
  `IOException` - Listen failed

### createRxTask

public AbstractRxTask createRxTask()
Deprecated.

Specified by:
  `createRxTask` in interface `RxTaskPool.TaskCreator`

### getReplicationThread

protected BioReplicationTask getReplicationThread()
Deprecated.

### stop

public void stop()
Deprecated.
Description copied from interface: `ChannelReceiver`
Stop listening for messages

Specified by:
  `stop` in interface `ChannelReceiver`
Overrides:
  `stop` in class `ReceiverBase`

### bind

protected void bind() throws IOException
Deprecated.

Throws:
  `IOException`

### run

public void run()
Deprecated.

Specified by:
  `run` in interface `Runnable`

### listen

public void listen() throws Exception
Deprecated.

Throws:
  `Exception`